%global modulename expand-brackets

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-expand-brackets
Version:        2.1.4
Release:        1%{?dist}
Summary:        Expand POSIX bracket expressions (character classes) in glob patterns.

License:        MIT
URL:            https://github.com/jonschlinkert/expand-brackets
Source0:        https://registry.npmjs.org/expand-brackets/-/expand-brackets-2.1.4.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(debug) >= 2.3.3 with npmlib(debug) < 3.0.0))
BuildRequires:  ((npmlib(define-property) >= 0.2.5 with npmlib(define-property) < 0.3.0))
BuildRequires:  ((npmlib(extend-shallow) >= 2.0.1 with npmlib(extend-shallow) < 3.0.0))
BuildRequires:  ((npmlib(posix-character-classes) >= 0.1.0 with npmlib(posix-character-classes) < 0.2.0))
BuildRequires:  ((npmlib(regex-not) >= 1.0.0 with npmlib(regex-not) < 2.0.0))
BuildRequires:  ((npmlib(snapdragon) >= 0.8.1 with npmlib(snapdragon) < 0.9.0))
BuildRequires:  ((npmlib(to-regex) >= 3.0.1 with npmlib(to-regex) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Expand POSIX bracket expressions (character classes) in glob patterns.

%package 2.1.4
Summary:        Expand POSIX bracket expressions (character classes) in glob patterns.


%description 2.1.4
Expand POSIX bracket expressions (character classes) in glob patterns.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%doc changelog.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.1.4
%doc README.md
%doc changelog.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 2.1.4-1
- Package automatically generated by npm2srpm
